<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright (c) 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";


if (!checkrights("IP")) fallback("../../index.php");
if (isset($gamestate_id) && !isNum($gamestate_id)) fallback(FUSION_SELF);
if (!isset($action)) $action = "";

// Check if locale file is available matching the current locale setting.
if (file_exists(INFUSIONS."gamestate_panel/locale/".$settings['locale'].".php")) {
  // Load the locale file matching the current locale setting.
  include INFUSIONS."gamestate_panel/locale/".$settings['locale'].".php";
} else {
  // Load the infusion's default locale file.
  include INFUSIONS."gamestate_panel/locale/English.php";
}

if ($action == "delete") {
  opentable($locale['GSV400']);
  $data = dbarray(dbquery("SELECT * FROM ".$db_prefix."gamestate WHERE gamestate_id='$gamestate_id'"));
  $result = dbquery("UPDATE ".$db_prefix."gamestate SET link_order=link_order-1 WHERE link_order>'".$data['link_order']."'");
  $result = dbquery("DELETE FROM ".$db_prefix."gamestate WHERE gamestate_id='$gamestate_id'");
  echo "<center><br>".$locale['GSV401']."<br><br><a href='".FUSION_SELF."'>".$locale['GSV402']."</a><br><br><a href='index.php'>".$locale['GSV403']."</a><br><br></center>\n";
  closetable();
} else {
  if (isset($_POST['savegame'])) {
    $server_ip = stripinput($_POST['server_ip']);
    $query_port= stripinput($_POST['query_port']);
    $game_type = stripinput($_POST['game_type']);
    $link_name = stripinput($_POST['link_name']);
    $link_order= stripinput($_POST['link_order']);

    if ($action == "edit") {
      $data = dbarray(dbquery("SELECT link_order FROM ".$db_prefix."gamestate WHERE gamestate_id='$gamestate_id'"));

      if($link_order < $data['link_order']){
        $result = dbquery("UPDATE ".$db_prefix."gamestate SET link_order=link_order+1 WHERE link_order>='$link_order' AND link_order<'$data[link_order]'");
      } else if ($link_order > $data['link_order']){
        $result = dbquery("UPDATE ".$db_prefix."gamestate SET link_order=link_order-1 WHERE link_order>'".$data['link_order']."' AND link_order<='$link_order'");
      }
      $result = dbquery("UPDATE ".$db_prefix."gamestate SET server_ip='$server_ip', query_port='$query_port', game_type='$game_type', link_name='$link_name', link_order='$link_order' WHERE gamestate_id='$gamestate_id'");
      redirect(FUSION_SELF);
    } else {
      if(!$link_order) $link_order=dbresult(dbquery("SELECT MAX(link_order) FROM ".$db_prefix."gamestate"),0)+1;
      $result = dbquery("UPDATE ".$db_prefix."gamestate SET link_order=link_order+1 WHERE link_order>='$link_order'");
      $result = dbquery("INSERT INTO ".$db_prefix."gamestate (server_ip, query_port, game_type, link_name, link_order) VALUES('$server_ip', '$query_port', '$game_type','$link_name', '$link_order')");
      redirect(FUSION_SELF);
  }
}

if ($action == "edit") {
  $result = dbquery("SELECT * FROM ".$db_prefix."gamestate WHERE gamestate_id='$gamestate_id'");
  $data = dbarray($result);
  $server_ip  = $data['server_ip'];
  $query_port = $data['query_port'];
  $game_type  = $data['game_type'];
  $link_name  = $data['link_name'];
  $link_order = $data['link_order'];
  $formaction = FUSION_SELF."?action=edit&gamestate_id=".$data['gamestate_id'];

  opentable($locale['GSV410']);
} else {
  $server_ip  = "";
  $query_port = "";
  $game_type  = "";
  $link_name  = "";
  $link_order = "";
  $formaction = FUSION_SELF;

  opentable($locale['GSV411']);
}


echo "<form name='gamestateform' method='post' action='$formaction'>
<table align='center' cellspacing='0' cellpadding='0'>
  <tr>
    <td class='tbl'>".$locale['GSV420']."</td>
    <td class='tbl'><input type='text' name='link_name' value='$link_name' maxlength='40' class='textbox' style='width:240px;'></td>
  </tr>
  <tr>
    <td class='tbl'>".$locale['GSV421']."</td>
    <td class='tbl'><input type='text' name='server_ip' value='$server_ip' maxlength='15' class='textbox' style='width:240px;'></td>
  </tr>
  <tr>
    <td class='tbl'>".$locale['GSV422']."</td>
    <td class='tbl'><input type='text' name='query_port' value='$query_port' maxlength='6' class='textbox' style='width:240px;'></td>
  </tr>
  <tr>
    <td class='tbl'>".$locale['GSV423']."</td>
    <td class='tbl'><select name='game_type' class='textbox'>";
         $avGames      = array();
         $avGames["AAO"] = "Americas Army";
         $avGames["ARMA"] = "Armed Assault";
         $avGames["BF2"] = "Battlefield 2";
         $avGames["BFV"] = "Battlefield Vietnam";
         $avGames["CoD"] = "Call of Duty";
         $avGames["CoD2"] = "Call of Duty 2";
         $avGames["CoD4"] = "Call of Duty 4 Modern Warfare";
         $avGames["CS"]  = "Counterstrike 1.6";
         $avGames["CSS"] = "Counterstrike Source";
         $avGames["DoD"] = "Day of Defeat";
         $avGames["MoHAA"] = "Medal of Honor AA";
         $avGames["UT2004"]= "Unreal Tournament 2004";
         $avGames["UT3"]= "Unreal Tournament 3";
         $avGames["HL"]   = "Halflife";
         $avGames["HL2"]  = "Halflife2";
         $avGames["Q3A"]  = "Quake III Arena";

         foreach ($avGames as $avGame=>$avGameName) {
           if (file_exists(INFUSIONS."gamestate_panel/CGame_".$avGame.".php")) {
             echo "<option value='".$avGame."'".($data['game_type'] == $avGame ? " selected" : ""). ">".$avGameName."</option>";
           }
         }
 echo "</select></td>
  </tr>
  <tr>
    <td class='tbl'>".$locale['GSV424']."</td>
    <td class='tbl'><input type='text' name='link_order' value='$link_order' maxlength='2' class='textbox' style='width:60px;'></td>
  </tr>
  <tr>
    <td align='center' colspan='2' class='tbl'>
      <input type='submit' name='savegame' value='".$locale['GSV429']."' class='button'></td>
  </tr>
</table>
</form>\n";
  closetable();

  tablebreak();

  //--- Aktuelle Gameeinstellungen
  opentable($locale['GSV412']);
  echo "<table align='center' cellspacing='0' cellpadding='3' class='tbl'>\n
  <tr>
  <td class='tbl2'>".$locale['GSV430']."</td>
  <td align='center' class='tbl2'>".$locale['GSV431']."</td>
  <td align='center' class='tbl2'>".$locale['GSV432']."</td>
  <td align='center' class='tbl2'>".$locale['GSV433']."</td>
  <td align='right'  class='tbl2'>".$locale['GSV434']."</td>
  <td align='right'  class='tbl2'>&nbsp;</td>
  </tr>\n";

  $result = dbquery("SELECT * FROM ".$db_prefix."gamestate ORDER BY link_order");
  if (dbrows($result) != 0) {
    while($data = dbarray($result)) {
      $link_url = INFUSIONS."gamestate_panel/gamestate_page.php?gamestate_id=".$data['gamestate_id'];
      echo "<tr><td><img src='".THEME."images/bullet.gif'><a href='".$link_url."'>".$data['link_name']."</a></td>
            <td align='center'>".$data['server_ip']."</td>
            <td align='center'>".$data['query_port']."</td>
            <td align='center'>".$data['game_type']."</td>
            <td align='center'>".$data['link_order']."</td>
            <td align='right'>
              <a href='".FUSION_SELF."?action=edit&gamestate_id=".$data['gamestate_id']."'>".$locale['GSV435']."</a> -
              <a href='".FUSION_SELF."?action=delete&gamestate_id=".$data['gamestate_id']."'>".$locale['GSV436']."</a>
            </td>
            </tr>\n";
    }
  } else {
    echo "<tr colspan='4'><td>".$locale['GSV437']."</td>\n</tr>\n";
  }
  echo "</table>\n";
  closetable();
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>