<?php
/*--------------------------------------------+
| PHP-Fusion 6 Content Management System      |
| Copyright  2002 - 2005 Nick Jones          |
| http://www.php-fusion.co.uk/                |
+---------------------------------------------+
| Teamspeak2 Viewer Infusion V2.01 for        |
| PHP-Fusion 6 - Content Management System    |
| author: Makro (Markus Kronier)        2005 |
| web: http://html.makromobil.de              |
| email: makro@makromobil.de                  |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."tsviewer_panel/locale/English.php";
}

//--- read Server Settings
$sql = "SELECT * FROM ".$db_prefix."tsviewer";
$result = dbquery($sql);

openside($locale['TSV100']);
if (dbrows($result) > 0) {
  while ($tsv_settings = dbarray($result)) {
    if ($tsv_settings['enabled'] == '1') {
      echo "<img src='".THEME."images/bullet.gif' /><a href='".INFUSIONS."tsviewer_panel/tsviewer_page.php?tsId=".$tsv_settings['tsviewer_id']."' class='side'>".$tsv_settings['display_name']."</a><br>";
    }
  }
} else {
  echo $locale['TSV601'];
}
closeside();

?>