<?php
/*--------------------------------------------+
| Gamestats Viewer Infusion for               |
| PHP-Fusion 6 Content Management System      |
| Copyright  2002 - 2005 Nick Jones          |
| http://www.php-fusion.co.uk/                |
+---------------------------------------------+
| Gamestats Viewer Infusion                   |
| author: Makro (Markus Kronier)
| Copyright  2005                            |
| web: http://www.makromobil.de              |
| email: makro@makromobil.de                  |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."gamestate_panel/locale/".$settings['locale'].".php")) {
        // Load the locale file matching the current site locale setting.
        include INFUSIONS."gamestate_panel/locale/".$settings['locale'].".php";
} else {
        // Load the infusion's default locale file.
        include INFUSIONS."gamestate_panel/locale/English.php";
}

// Infusion general information
$inf_title       = $locale['GSV100'];
$inf_description = $locale['GSV101'];
$inf_version     = "1.1.2";
$inf_developer   = "Makro (Markus Kronier)";
$inf_email       = "makro@makromobil.de";
$inf_weburl      = "http://www.makromobil.de";

// Infusion Paths
$inf_folder      = "gamestate_panel";
$inf_admin_panel = "gamestate_admin.php";
$inf_admin_image = "";    // Leave blank to use the default image.

$inf_link_name       = "";
$inf_link_url        = "";  // The filename you wish to link to.
$inf_link_visibility = "0"; // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables   = 1; // Number of new db tables to create or drop.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows   = 0; // Number of db tables to delete data from.

$inf_newtable_[1] = "gamestate (
  gamestate_id smallint(5) not null auto_increment,
  link_name varchar(40) not null,
  link_order smallint(5) not null,
  server_ip varchar(15) not null,
  query_port varchar(10) not null,
  game_type varchar(10) not null,
  PRIMARY KEY (gamestate_id)
) TYPE=MyISAM;";

$inf_droptable_[1] = "gamestate";
$inf_altertable_[1] = "";
$inf_deldbrow_[1] = "";

?>