<?php
/*--------------------------------------------+
| PHP-Fusion 6 Content Management System      |
| Copyright  2002 - 2005 Nick Jones          |
| http://www.php-fusion.co.uk/                |
+---------------------------------------------+
| Teamspeak2 Viewer Infusion  V2.1            |
| author: Makro (Markus Kronier)   2005-2006 |
| web: http://www.makromobil.de              |
| email: makro@makromobil.de                  |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."tsviewer_panel/locale/German.php";
}

// Infusion general information
$inf_title       = $locale['TSV100'];
$inf_description = $locale['TSV101'];
$inf_version     = "2.1";
$inf_developer   = "Makro (Markus Kronier)";
$inf_email       = "makro@makromobil.de";
$inf_weburl      = "http://www.makromobil.de";

// Infusion Paths
$inf_folder      = "tsviewer_panel";
$inf_admin_panel = "tsviewer_panel_admin.php";
$inf_admin_image = "";    // Leave blank to use the default image.

$inf_link_name       = ""; 
$inf_link_url        = ""; 
$inf_link_visibility = "0";   // 0 - Guest / 101 - Member / 102 - Admin / 103 - Super Admin.

$inf_newtables   = 1; // Number of new db tables to create or drop.

$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows   = 0; // Number of db tables to delete data from.

$inf_newtable_[1] = "tsviewer (
    tsviewer_id SMALLINT(5) NOT NULL,
    display_name varchar(80) NOT NULL default 'TS-Server',
    server_ip varchar(80) NOT NULL default '127.0.0.1',
    query_port varchar(10) NOT NULL default '51234',
    udp_port varchar(10) NOT NULL default '8767',
    login_name varchar(20) NOT NULL default 'Guest',
    login_pwd varchar(20) NOT NULL default '',
    reg_login varchar(1) NOT NULL default '0',
    show_link int NOT NULL default '1',
    hide_echannels int NOT NULL default '0',
    enabled int NOT NULL default '0',
    sp_enabled int NOT NULL default '0',
    disp_mode int NOT NULL default '0',
    PRIMARY KEY (tsviewer_id)
  ) TYPE=MyISAM;";

$inf_droptable_[1] = "tsviewer";

$inf_altertable_[1] = "";

$inf_deldbrow_[1] = "";

?>