<?php
/*--------------------------------------------+
| PHP-Fusion 6 Content Management System      |
| Copyright  2002 - 2005 Nick Jones          |
| http://www.php-fusion.co.uk/                |
+---------------------------------------------+
| Teamspeak2 Viewer Infusion V2.01 for        |
| PHP-Fusion 6 - Content Management System    |
| author: Makro (Markus Kronier)        2005 |
| web: http://html.makromobil.de              |
| email: makro@makromobil.de                  |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

if (!defined("IN_FUSION")) { header("Location:../../index.php"); exit; }

if (file_exists(INFUSIONS."tsviewer_panel/tsviewer.php")) {

  // Check if locale file is available matching the current site locale setting.
  if (file_exists(INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."tsviewer_panel/locale/".$settings['locale'].".php";
  } else {
    // Load the infusion's default locale file.
    include INFUSIONS."tsviewer_panel/locale/English.php";
  }

  require_once(INFUSIONS."tsviewer_panel/tsviewer.php");
  $tsviewer->baseDir = INFUSIONS."tsviewer_panel/";
  $tsviewer->errors = array("1"=>$locale['TSV201'],"2"=>$locale['TSV202']);

  function ShowTSViewerContent($ID) {
    global $db_prefix;
    global $tsviewer;
    global $userdata;
    if (isNum($ID)) {
      $sql = "SELECT * FROM ".$db_prefix."tsviewer WHERE (tsviewer_id=".$ID.")";
      $result = dbquery($sql);
      if (dbrows($result) > 0) {
        $tsv_settings = dbarray($result);
        if ($tsv_settings['enabled'] == '1') {
          $tsviewer->tsviewerId			   = $tsv_settings['tsviewer_id'];
          $tsviewer->serverIp          = $tsv_settings['server_ip'];
          $tsviewer->queryPort         = $tsv_settings['query_port'];
          $tsviewer->udpPort           = $tsv_settings['udp_port'];
          $tsviewer->LoginName         = $tsv_settings['login_name'];
          $tsviewer->LoginPwd          = $tsv_settings['login_pwd'];

          if ((iMEMBER) && ($tsv_settings['reg_login']=='1') ) {
            if ($userdata['user_name'] != "") $tsviewer->LoginName     = $userdata['user_name'];
          }

          $tsviewer->connectLink       = $tsv_settings['show_link'];
          $tsviewer->hideEmptyChannels = $tsv_settings['hide_echannels'];

          //--- Read Server Data
          $tsviewer->ReadServerData();

          //--- write TS-Viewer HTML-Output
          echo $tsviewer->GetTSViewerCompactHtml();
        } else {
          echo $lokale['TSV604'];
        }
      }
    }
  }
} else
{
  echo INFUSIONS."tsviewer_panel/tsviewer.php";
}
?>